TAAS - Feature #132

Cheque Holding Report
02/02/2023 03:02 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 02/02/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cheque Holding Report

Description

Coding Cheque Holding Report

History

#1 - 05/18/2023 11:34 AM - Anil KV

Input Changes
1) Status Multi Select - Default ON HOLD
2) Customer - Code and Name entry option

)
3) Currency - like Ledger Statement
4) Add Cheque Date(2 Date picker - like priod), Default blank

- Column Width Re-set

#2 - 05/18/2023 12:55 PM - Anil KV

SELECT docl.pk_documents_id,
docl.dat_document,
docl.vhr_document_no,
rc.vhr_cheque_no,
rc.dat_cheque,
rc.vhr_issued_bank,
rc.vhr_name_on_cheque,
rc.vhr_ledg_currency,
rc.dbl_ledg_cur_amount,
rc.vhr_base_currency,
rc.dbl_base_cur_amount,
rc.chr_current_cheque_status,
rc.vhr_id_number,
tmp.int_record_no,
tmp.fk_cheque_ac_id,
tmp.fk_cheque_posting_ac_id,
tmp.chr_cheque_status,
tmp.dat_document,
tmp.fk_received_cheque_id,
tmp.fk_cr_customer_id

FROM (SELECT row_number () OVER (PARTITION BY rcd.fk_received_cheque_id
as int_record_no,

ORDER BY rcd.pk_rec_cheque_details_id DES
fk_cheque_ac_id,
fk_cheque_posting_ac_id,
rcd.chr_cheque_status,
doc.dat_document,
rcd. fk_received_cheque_id,
rcd. fk_cr_customer_id

C)

FROM receivedcheque.tbl_rec_cheque_details rcd

LEFT JOIN document.tbl_documents doc

ON rcd.fk_documents_id = doc.pk_documents_id

LEFT JOIN accounts.tbl_account acl
ON rcd.fk_cheque_posting_ac_id =
LEFT JOIN accounts.tbl_account ac2

ON rcd.fk_cheque_ac_id = ac2.pk_account_id

AND doc.int_sys_action_id !=
WHERE doc.dat_document <= *<<As On Date>>

05/04/2025

acl.pk_account_id

-1
)

AS tmp
LEFT JOIN receivedcheque.tbl_received_cheque rc
ON tmp.fk_received_cheque_id = rc.pk_received_cheque_id AND tmp.int_record_no =1

LEFT JOIN document.tbl_documents docl

ON docl.pk_documents_id = rc.fk_received_doc_id AND docl.int_sys_action_id != -1

WHERE tmp.int_record_no =1
AND *<All filter except <As On Date>>

#3 - 05/18/2023 12:55 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 05/19/2023 12:03 PM - Junaid M
- Assignee changed from Junaid M to Karthika V Anand

#5 - 05/19/2023 12:35 PM - Karthika V Anand
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 05/23/2023 01:02 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 09/03/2023 05:53 PM - unnikannan S
ISSUE FOUNDED

1.REMOVE LIST FROM GRID

#8 - 09/03/2023 05:53 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

#9 - 09/04/2023 10:39 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 09/04/2023 01:58 PM - unnikannan S
TESTING DONE

#11 - 09/20/2023 05:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.SHOWING PARTY US UNDEFINED
#12 - 09/22/2023 05:39 PM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 10/07/2023 05:31 PM - Junaid M
- Assignee changed from Karthika V Anand to Amal Siby

#14 - 11/09/2023 03:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

Fixed. 1.SHOW DATA US PER CHOOSEN FILTERS-CURRENCY,CASH COUNTER,CREATED USER
Fixed 2.SHOW BASE 1 QAR WISE CHANGE IN AMOUNT FIELD IF ANY OTHER CURRENCY IN LIST RATHER THAN QAR

Fixed. 3.SHOW DEFAULT PRINT IN Ul
Fixed. 4.ADD BLANK OPTION IN CASH COUNTER

#15 - 12/04/2023 02:51 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#16 - 02/27/2024 05:46 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.MISSING DATA WHILE CHOOSING PRINT

Fixed 2.SHOWING ALL CHEQUE STATUS AS HOLD IN PRINT / DIFFERENT IN Ul
Fixed 3.SHOW DATA IN CASE OF ADDING BLANK OPTION IN CURRENCY FIELD
Fixed 4.Rename Customer To Party

#17 - 02/29/2024 01:21 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#18 - 03/01/2024 11:31 AM - unnikannan S
TESTING DONE

#19 - 05/03/2024 10:42 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#20 - 12/10/2024 10:13 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
